<?php

declare(strict_types=1);

namespace App\Message\Handler\Typo3;

use App\Message\Message\Typo3\Typo3Undelete;
use App\Service\Typo3\Typo3Service;
use Symfony\Component\Messenger\Attribute\AsMessageHandler;

#[AsMessageHandler(priority: 1)]
class Typo3UndeleteHandler
{
    public function __construct(
        private Typo3Service $typo3Service,
    ) {
    }

    /**
     * @throws \Symfony\Contracts\HttpClient\Exception\TransportExceptionInterface
     */
    public function __invoke(Typo3Undelete $command): void
    {
        $this->typo3Service->undeleteSite($command->getOrganizationId());
    }
}
